// -*-c++-*-

/***************************************************************************
                          rcccontainer.h  -  Interface and implementation of
			                     stl conatiners that can be
                                             pointed to by RCC_Pointers and
                                             stores RCC_Pointers to the
					     objects. 
                             -------------------
    begin                : 17-JULY-2001
    copyright            : (C) 2001 by Tom Howard.
			   Server Maintainance Group.
    email                : thomashoward@email.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _RCC_CONTAINER_H_
#define _RCC_CONTAINER_H_

#include <vector>
#include "rccmemory.h"

template < class T > 
class RCC_Container 
  : public std::vector < RCC_Pointer < T > >, 
    public RCC_Object
{
public:
  RCC_Pointer < RCC_Object > copy () const
  {
    RCC_Pointer < RCC_Container < T > > tmp = new RCC_Container < T >;
    for ( RCC_Container < T >::const_iterator i = this->begin ();
	  i != this->end (); ++i )
      {	
	RCC_Pointer < T > tmp_copy;
	tmp_copy.staticCast ( ( *i )->copy () );
	tmp->push_back ( tmp_copy );
      }
    return tmp;
  }
};



#endif
