// -*-c++-*-

/***************************************************************************
                          rccexception.h  -  Interface and implementation
			                     some exception clases
                             -------------------
    begin                : 17-JULY-2001
    copyright            : (C) 2001 by Tom Howard.
    email                : thomashoward@email.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _RCC_EXCEPTION_H_
#define _RCC_EXCEPTION_H_

#include <string>
#include <exception>
#include <iostream>

class RCC_Exception : public std::exception
{
public:
  RCC_Exception ( const std::string& s ) : err ( s ) {}
  ~RCC_Exception () throw () {}
  
  friend std::ostream& operator << ( std::ostream& o, const RCC_Exception& m )
  {
    return m.print ( o );
  }

  std::ostream& print ( std::ostream& o ) const { return o << err; }

  std::string errorMsg () const { return err; }
  std::string errorMsg ( const std::string& s ) { return err = s; }

private:
  std::string err;
};

class RCC_MemoryException : public RCC_Exception
{
public:
  RCC_MemoryException ( const std::string& s ) : RCC_Exception ( s ) {}
  ~RCC_MemoryException () throw () {}
};

class RCC_BoundsException : public RCC_Exception
{
public:
  RCC_BoundsException ( const std::string& s ) : RCC_Exception ( s ) {}
  ~RCC_BoundsException () throw () {}
};

class RCC_GeomException : public RCC_Exception
{
public:
  RCC_GeomException ( const std::string& s ) : RCC_Exception ( s ) {}
  ~RCC_GeomException () throw () {}
};

#endif
