typedef union {
			bool                            bval;
			int         	                ival;
			double			        rval;
			double			        rval_arr [ 2 ];
			RCC_String*		        str;
			RCC_ViewMode::quality_t		view_qual;
			RCC_ViewMode::width_t		view_wid;
			RCC_Angle*			angle_p;
			RCC_Vector2d*			vector2d_p;
			RCC_ViewMode* 			view_mode_p;
			RCC_SenseBody* 			sense_body_p;
			RCC_ServerParam*		server_param_p;
			RCC_PlayerParam*		player_param_p;
			RCC_PlayerType*			player_type_p;
			RCC_VisualObject::location_t	location;
			RCC_Line*			line_p;
			RCC_Flag*			flag_p;
			RCC_Ball*			ball_p;
			RCC_PlayerName*			player_name_p;
			RCC_Player*			player_p;
			RCC_Visual*			object_pool_p;
			RCC_StadPlayMode*		playmode_p;
			RCC_StadPlayMode::mode_t	playmode;
			RCC_CoachPlayMode::coach_mode_t coach_playmode;
			RCC_CoachPlayMode*		coach_playmode_p;
			RCC_InitMsg*			init_msg_p;
			Side	stad_side;
			RCC_Side*	side_p;
			RCC_RefAudio*			ref_audio_p;
			RCC_SelfAudio*			self_audio_p;
			RCC_PlayerAudio*		player_audio_p;
			RCC_CoachAudio*			coach_audio_p;
			RCC_CoachStdMsg*     		coach_std_msg_p;
			RCC_CoachMetaMsg*     		coach_meta_msg_p;
			RCC_CoachFreeformMsg*  		coach_free_msg_p;
			RCC_CoachInfoMsg*     		coach_info_msg_p;
			RCC_CoachAdviceMsg*    		coach_adv_msg_p;
			RCC_CoachDefineMsg*   		coach_def_msg_p;
			RCC_CoachMetaToken_Version*	coach_meta_ver_token_p;
			RCC_CoachDefineToken_Condition*	coach_define_token_cond_p;
			RCC_CoachDefineToken_Directive*	coach_define_token_dir_p;
			RCC_CoachDefineToken_Region*	coach_define_token_reg_p;
			RCC_CoachDefineToken_Action*	coach_define_token_act_p;
			RCC_ActUnion* 			action_p;
			RCC_DirUnion* 			directive_p;
			RCC_DirUnion::container*       dir_list_p;
			RCC_CondUnion* 			condition_p;
			RCC_CondUnion::container*	cond_list_p;
			RCC_CoachInfoToken_Clear*	coach_info_token_clear_p;
			RCC_CoachInfoToken_Rule*	coach_info_token_rule_p;
			RCC_RegUnion*  			region_p;
			RCC_RegPointUnion*		reg_point_p;
			RCC_RegMerged*			reg_union_p;
			RCC_UnumSet*   			unum_set_p;
			RCC_BallMoveSet*		ball_move_set_p;
			RCC_BallMoveSet::RCC_BallMove_t     ball_move;
			RCC_Score* score_p;
			RCC_Substitution* sub_p;
			RCC_Error::error_t		error;
			RCC_Error*			error_p;
			RCC_FullState*			full_state_p;
			RCC_FSBall*			fs_ball_p;
			RCC_FSPlayer*			fs_player_p;
			RCC_FSPlayer::container*	fs_player_cont_p;
} YYSTYPE;
#define	ERROR	257
#define	ERROR_KW	258
#define	ERROR_TYPE_KW	259
#define	LP	260
#define	RP	261
#define	IVAL	262
#define	RVAL	263
#define	QSTR	264
#define	CHG_VIEW_KW	265
#define	MOVE_KW	266
#define	CATCH_KW	267
#define	TURN_NECK_KW	268
#define	SAY_KW	269
#define	TURN_KW	270
#define	DASH_KW	271
#define	KICK_KW	272
#define	HIGH_KW	273
#define	LOW_KW	274
#define	NARROW_KW	275
#define	NORMAL_KW	276
#define	WIDE_KW	277
#define	VIEW_MODE_KW	278
#define	STAMINA_KW	279
#define	HEAD_ANGLE_KW	280
#define	SPEED_KW	281
#define	SENSE_BODY_KW	282
#define	SERVER_PARAM_KW	283
#define	PLAYER_PARAM_KW	284
#define	PLAYER_TYPE_KW	285
#define	CLOSE_F_KW	286
#define	CLOSE_G_KW	287
#define	CLOSE_P_KW	288
#define	CLOSE_B_KW	289
#define	T_KW	290
#define	B_KW	291
#define	L_KW	292
#define	R_KW	293
#define	F_KW	294
#define	C_KW	295
#define	P_KW	296
#define	G_KW	297
#define	D_KW	298
#define	S_KW	299
#define	GOALIE_KW	300
#define	SEE_KW	301
#define	LEFT_KW	302
#define	RIGHT_KW	303
#define	PLAY_MODE_KW	304
#define	COACH_PLAY_MODE_KW	305
#define	INIT_KW	306
#define	HEAR_KW	307
#define	REF_KW	308
#define	SELF_KW	309
#define	COACH_KW	310
#define	SCORE_KW	311
#define	LB	312
#define	RB	313
#define	META	314
#define	FREEFORM	315
#define	INFO	316
#define	ADVICE	317
#define	DEFINE	318
#define	DEFINEC	319
#define	DEFINED	320
#define	DEFINER	321
#define	DEFINEA	322
#define	VER	323
#define	NULL_REGION	324
#define	QUAD	325
#define	ARC	326
#define	PT	327
#define	REG	328
#define	POS	329
#define	HOME	330
#define	BALLTO	331
#define	MARK	332
#define	MARK_LINE	333
#define	OFFLINE	334
#define	HTYPE	335
#define	DO_DONT	336
#define	TEAM	337
#define	TRUE_KW	338
#define	FALSE_KW	339
#define	PPOS	340
#define	BPOS	341
#define	BOWNER	342
#define	AND	343
#define	OR	344
#define	NOT	345
#define	PLAY_M_KW	346
#define	CLEAR	347
#define	CHANGE_KW	348
#define	BALL_KW	349
#define	FS_KW	350
#define	V_MODE_KW	351
#define	P_MODE_KW	352

