// -*-c++-*-

/***************************************************************************
                          rccscore.h  -  Interface and implementation of 
			                 RoboCup score messages.
                             -------------------
    begin                : 17-JULY-2001
    copyright            : (C) 2001 by Tom Howard.
    email                : thomashoward@email.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _RCC_SCORE_H_
#define _RCC_SCORE_H_

#include <iostream>
#include "rccsensordata.h"

class RCC_Score : public RCC_SensorData
{
public:
  RCC_Score ( const int& t, 
	      const int& our_s, 
	      const int& opp_s ) 
    : time_ ( t ), 
    our_score ( our_s ), 
    opp_score ( opp_s ) 
  {}
  
  ~RCC_Score () {}

  RCC_Pointer < RCC_Object > copy () const { return new RCC_Score ( *this ); }

  std::ostream& print ( std::ostream& o ) const 
  {
    return o << "(score " << time_ << " " << our_score << " " << opp_score << ")";
  }
  std::ostream& print ( std::ostream& o, const Side& ) const { return print ( o ); } 

  int time () const { return time_; }
  int ourScore () const { return our_score; }
  int oppScore () const { return opp_score; }

protected:
  int time_;
  int our_score;
  int opp_score;
};

#endif
