// -*-c++-*-

/***************************************************************************
                          rccsubstitution.h  -  Interface and implematation
			                        of a RoboCup substitution
						message.
                             -------------------
    begin                : 17-JULY-2001
    copyright            : (C) 2001 by Tom Howard.
    email                : thomashoward@email.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef _RCC_SUBSTITUTION_H_
#define _RCC_SUBSTITUTION_H_

#include "rccsensordata.h"
#include "rccside.h"
#include "rccplayertype.h"

class RCC_Substitution : public RCC_SensorData
{
public:
  RCC_Substitution ( const int& u ) 
    : unum ( u ), 
    side_ ( RCC_Side::Opp ), 
    type_ ( RCC_PlayerType::UNKNOWN_ID )
  {}
  RCC_Substitution ( const int& u, const int& t ) 
    : unum ( u ), 
    side_ ( RCC_Side::Our ), 
    type_ ( t )
  {}

  ~RCC_Substitution () {}

  virtual std::ostream& print ( std::ostream& o ) const
  { 
    o << "(change_player_type " << unum;
    if ( type_ != RCC_PlayerType::UNKNOWN_ID )
      o << " " << type_;
    return o << ")";
  }
  std::ostream& print ( std::ostream& o, const Side& ) const { return print ( o ); } 
  
  RCC_Pointer < RCC_Object > copy () const { return new RCC_Substitution ( *this ); }

  int uNum () const { return unum; }
  RCC_Side side () const { return side_; }
  int type () const { return type_; }

protected:
  int 		unum;
  RCC_Side	side_;
  int		type_;
};

#endif
