// -*-c++-*-

/***************************************************************************
                          rcctransmitter.h  -  Interface and implementaion of a
			                  class to "transmit" objects to
					  registered handlers.
                             -------------------
    begin                : 17-JULY-2001
    copyright            : (C) 2001 by Tom Howard.
    email                : thomashoward@email.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef _RCC_TRANSMITTER_H_
#define _RCC_TRANSMITTER_H_

#include "rcchandler.h"

template < typename T >
class RCC_Transmitter
  : public std::list < RCC_Handler < T >* >
{
public:
  void transmit ( const T& t ) const
  {
    for ( RCC_Transmitter < T >::const_iterator i = begin ();
	  i != end (); ++i )
      {
	( *i )->handle ( t );
      }
  }

  void registerHandler ( RCC_Handler < T >& h )
  {
    this->push_back ( &h );
  }

  void deRegisterHandler ( RCC_Handler < T >& h )
  {
    for ( std::list < RCC_Handler < T >* >::iterator i = begin ();
	  i != end (); ++i )
      {
	if ( *i == &h )
	  {
	    erase ( i );
	    return;
	  }
      }
  }
};

#endif
